Module jdk.javadoc
Package com.sun.javadoc

## Interface FieldDoc

- All Superinterfaces:
    `Comparable<Object>`, `Doc`, `MemberDoc`, `ProgramElementDoc`

      @Deprecated(since="9",
                  forRemoval=true)
      public interface FieldDoc
      extends MemberDoc

  Deprecated, for removal: This API element is subject to removal in a future version.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.
  Represents a field in a java class.
  Since:
    1.2
  See Also:
    `MemberDoc`

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `constantValue()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the value of a constant field.
    `String` | `constantValueExpression()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the value of a constant field.
    `boolean` | `isTransient()` | Deprecated, for removal: This API element is subject to removal in a future version. Return true if this field is transient
    `boolean` | `isVolatile()` | Deprecated, for removal: This API element is subject to removal in a future version. Return true if this field is volatile
    `SerialFieldTag[]` | `serialFieldTags()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the serialField tags in this FieldDoc item.
    `Type` | `type()` | Deprecated, for removal: This API element is subject to removal in a future version. Get type of this field.

    - ### Methods declared in interface com.sun.javadoc.Doc

      `commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

    - ### Methods declared in interface com.sun.javadoc.MemberDoc

      `isSynthetic`

    - ### Methods declared in interface com.sun.javadoc.ProgramElementDoc

      `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- - ### Method Detail

    - #### type

          Type type()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get type of this field.
      Returns:
        the type of this field.

    - #### isTransient

          boolean isTransient()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return true if this field is transient
      Returns:
        true if this field is transient

    - #### isVolatile

          boolean isVolatile()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return true if this field is volatile
      Returns:
        true if this field is volatile

    - #### serialFieldTags

          SerialFieldTag[] serialFieldTags()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the serialField tags in this FieldDoc item.
      Returns:
        an array of `SerialFieldTag` objects containing all `@serialField` tags.

    - #### constantValue

          Object constantValue()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get the value of a constant field.
      Returns:
        the value of a constant field. The value is automatically wrapped in an object if it has a primitive type. If the field is not constant, returns null.

    - #### constantValueExpression

          String constantValueExpression()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get the value of a constant field.
      Returns:
        the text of a Java language expression whose value is the value of the constant. The expression uses no identifiers other than primitive literals. If the field is not constant, returns null.